/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebTextareaDescription = /*@__PURE__*/ (() => {
    class WebTextareaDescription extends Description {
        get_type() {
            return "WebTextarea";
        }
        get type() {
            return this.get_type();
        }
        constructor() {
            super();
            this.aa = null;
            this.z = null;
            this.af = null;
            this.ag = null;
            this.t = 0;
            this.u = 0;
            this.j = false;
            this.ai = null;
            this.k = false;
            this.aj = null;
            this.v = 0;
            this.ak = null;
            this.m = false;
            this.al = null;
            this.h = false;
            this.l = false;
            this.ah = null;
            this.i = false;
            this.ae = null;
            this.ac = null;
            this.ad = null;
            this.ab = null;
        }
        get autocomplete() {
            return this.aa;
        }
        set autocomplete(a) {
            this.aa = a;
            this.g("Autocomplete");
        }
        get autocapitalize() {
            return this.z;
        }
        set autocapitalize(a) {
            this.z = a;
            this.g("Autocapitalize");
        }
        get inputMode() {
            return this.af;
        }
        set inputMode(a) {
            this.af = a;
            this.g("InputMode");
        }
        get label() {
            return this.ag;
        }
        set label(a) {
            this.ag = a;
            this.g("Label");
        }
        get maxLength() {
            return this.t;
        }
        set maxLength(a) {
            this.t = a;
            this.g("MaxLength");
        }
        get minLength() {
            return this.u;
        }
        set minLength(a) {
            this.u = a;
            this.g("MinLength");
        }
        get outlined() {
            return this.j;
        }
        set outlined(a) {
            this.j = a;
            this.g("Outlined");
        }
        get placeholder() {
            return this.ai;
        }
        set placeholder(a) {
            this.ai = a;
            this.g("Placeholder");
        }
        get readOnly() {
            return this.k;
        }
        set readOnly(a) {
            this.k = a;
            this.g("ReadOnly");
        }
        get resize() {
            return this.aj;
        }
        set resize(a) {
            this.aj = a;
            this.g("Resize");
        }
        get rows() {
            return this.v;
        }
        set rows(a) {
            this.v = a;
            this.g("Rows");
        }
        get value() {
            return this.ak;
        }
        set value(a) {
            this.ak = a;
            this.g("Value");
        }
        get spellcheck() {
            return this.m;
        }
        set spellcheck(a) {
            this.m = a;
            this.g("Spellcheck");
        }
        get wrap() {
            return this.al;
        }
        set wrap(a) {
            this.al = a;
            this.g("Wrap");
        }
        get disabled() {
            return this.h;
        }
        set disabled(a) {
            this.h = a;
            this.g("Disabled");
        }
        get required() {
            return this.l;
        }
        set required(a) {
            this.l = a;
            this.g("Required");
        }
        get name() {
            return this.ah;
        }
        set name(a) {
            this.ah = a;
            this.g("Name");
        }
        get invalid() {
            return this.i;
        }
        set invalid(a) {
            this.i = a;
            this.g("Invalid");
        }
        get inputRef() {
            return this.ae;
        }
        set inputRef(a) {
            this.ae = a;
            this.g("InputRef");
        }
        get changeRef() {
            return this.ac;
        }
        set changeRef(a) {
            this.ac = a;
            this.g("ChangeRef");
        }
        get focusRef() {
            return this.ad;
        }
        set focusRef(a) {
            this.ad = a;
            this.g("FocusRef");
        }
        get blurRef() {
            return this.ab;
        }
        set blurRef(a) {
            this.ab = a;
            this.g("BlurRef");
        }
    }
    WebTextareaDescription.$t = /*@__PURE__*/ markType(WebTextareaDescription, 'WebTextareaDescription', Description.$);
    return WebTextareaDescription;
})();
